﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.ComponentModel;

namespace Files
{
    public class Data
    {
        [ Category ("Basic") ]
        public string Name { get; set; }

        [ Category("Basic")]
        [ DisplayName ("Full path")]
        public string Path { get; set; }

        [Category("Basic")]
        [ Description ("File size in bytes")]
        public long Size { get; set; }

        [Category("Basic")]
        [ Description("Last write time in UTC")]
        public DateTime Time { get; set; }

        // [ Browsable (false) ]
        public bool Directory { get; set; }

        public bool Ready { get; set; }

    }
}
